/*
 * JQuery functions for slideout feedback form
 * 
 * Sets up a sliding form on click of a feedback button
 * On submit button will send the data to a php script
 * 
 * By http://www.paulund.co.uk
 */
(function($j) {

    feedback_button = {
        onReady: function() {
            this.feedback_button_click();
            this.send_feedback();
        },
        feedback_button_click: function() {
            $("#feedback_button, #feedback_menu").click(function() {
                $('.form').slideToggle();
            });
        },
        send_feedback: function() {
            $('#submit_form').click(function() {
                if ($('#source_addr').val() !== "") {

                    $('.status').text("");
                    var name = $('#name').val();
                    var mobile = $('#mobile').val();
                    var reply_to = $('#email').val();
                    var source_addr = $('#source_addr').val();
                    var destination_addr = $('#destination_addr').val();
                    $.ajax({
                        type: "POST",
                        url: "http://www.ampmtaxi.com/process_email.php",
                        data: 'name=' + name + '&mobile=' + mobile + '&reply_to=' + reply_to + '&source_addr=' + source_addr + '&destination_addr=' + destination_addr,
                        success: function(result) {
                            //email sent successfully displays a success message
                            if (result === 'true') {
                                $('.status').text("Thanks for your message! We'll get back to you shortly.");
                                $("#form_input").fadeOut("slow");
                            } else {
                                $('.status').text("Feedback Failed to Send");
                            }
                        }
                    });
                }
            });
    },
    };

    $j().ready(function() {
        feedback_button.onReady();
    });

})(jQuery);
